## device-info-1.4.2-r0.tar

=== Makefile ===
objs := device-info.o utils.o soc.o armadillo.o abos.o security_imx8mp.o security_imx6ull.o security_imx8ulp.o
deps := $(objs:.o=.d)
testdir := test
test_security_imx8mp := $(testdir)/test_security_imx8mp
test_security_imx8mp_objs := $(testdir)/test_security_imx8mp.o security_imx8mp.o
test_security_imx8mp_deps := $(test_security_imx8mp_objs:.o=.d)
test_security_imx6ull := $(testdir)/test_security_imx6ull
test_security_imx6ull_objs := $(testdir)/test_security_imx6ull.o security_imx6ull.o
test_security_imx6ull_deps := $(test_security_imx6ull_objs:.o=.d)

CFLAGS += -Wall -Wextra -MMD -MP

all: device-info

device-info: $(objs)

$(test_security_imx8mp): $(test_security_imx8mp_objs)
$(test_security_imx6ull): $(test_security_imx6ull_objs)
$(test_security_imx8ulp): $(test_security_imx8ulp_objs)

.PHONY: install
install: device-info
	install -D device-info $(DESTDIR)/usr/sbin/device-info


.PHONY: clean
clean:
	$(RM) $(objs) $(deps) device-info
	$(RM) $(test_security_imx8mp_objs) $(test_security_imx8mp_deps) $(test_security_imx8mp)
	$(RM) $(test_security_imx6ull_objs) $(test_security_imx6ull_deps) $(test_security_imx6ull)
	$(RM) $(test_security_imx8ulp_objs) $(test_security_imx8ulp_deps) $(test_security_imx8ulp)

-include $(deps)
-include $(test_security_imx8mp_deps)
-include $(test_security_imx6ull_deps)
-include $(test_security_imx8ulp_deps)
