=== APKBUILD ===
# Maintainer: Satoshi OHTA <satoshi.ohta@atmark-techno.com>

pkgname=device-info
pkgver=1.4.2
pkgrel=0
pkgdesc="device-info"
url="https://armadillo.atmark-techno.com/"
arch="all"
license="MIT"
options="!check"

_pkgsource=device-info
source="device-info-1.4.2.tar.gz"

build() {
	make
}

package() {
	make DESTDIR="$pkgdir" install
}

sha512sums="
ff6f9fe8afd7c5360dffd0af2217ce7d3a204c1b50f94c4ad7db57354fbc0f4103b8c4e21e9bde8281376a129c9747234495af8d7cef2b10197d2ffb3b5e11ea  device-info-1.4.2.tar.gz
"
